%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Configuration settings manager for Xfce
Name:		xfce4-settings
Version:	4.11.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/xfce4-settings/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-1) >= 0.7.1
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.9.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxklavier)
Requires:	xscreensaver

%description
Configuration settings manager for Xfce desktop environment.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-sound-settings \
	--enable-libnotify \
	--enable-xrandr \
	--enable-xcursor \
	--enable-libxklavier \
	--enable-pluggable-dialogs \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make

%install
%makeinstall_std

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS TODO
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_libdir}/xfce4/settings/appearance-install-theme
%{_bindir}/xfsettingsd
%{_bindir}/xfce4*
%{_datadir}/applications/xfce*.desktop
%{_datadir}/icons/hicolor/*/devices/xfce-display-*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.11.0-3.mga3
+ Revision: 386866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.11.0-2.mga3
+ Revision: 338153
- fix build after %%_libexecdir change

* Thu Nov 01 2012 wally <wally> 4.11.0-1.mga3
+ Revision: 312105
- new version 4.11.0
- drop patches from upstream

* Sun Sep 09 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 291160
- add patches from upstream git to fix bugs reported upstream
  * fix-gtk3-theme-detection.patch (xfce#9272)
  * check-service-name-of-NameOwnerChanged.patch (xfce#9273)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248464
- new version 4.10.0
- clean .spec

* Sun Feb 26 2012 wally <wally> 4.9.2-2.mga2
+ Revision: 215065
- add P0 from upstream GIT to hopefully fix X server problems with Qt apps (mga#4549)

* Mon Feb 13 2012 wally <wally> 4.9.2-1.mga2
+ Revision: 208459
- remove unregistered value from .desktop files
- new version 4.9.2

* Sun Jan 29 2012 wally <wally> 4.9.1-1.mga2
+ Revision: 203011
- new version 4.9.1
- clean BRs
- drop old obsoletes/provides
- clean .spec a bit

* Sat Sep 24 2011 wally <wally> 4.8.3-1.mga2
+ Revision: 147284
- new version 4.8.3

* Mon Jun 13 2011 ahmad <ahmad> 4.8.2-1.mga2
+ Revision: 105577
- Update to 4.8.2

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53260
- update to 4.8.1

* Thu Feb 17 2011 ahmad <ahmad> 4.8.0-2.mga1
+ Revision: 53007
- drop an old/unneeded patch
- imported package xfce4-settings

